Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# common_structures::graph_array< nodetype, arctype >::arc Class Reference

`#include <graph_array.h>`

List of all members.

## Public Member Functions
arc & | mark ()
arc & | unmark ()
bool | marked () const
node_iterator | initial () const
node_iterator | terminal () const
arctype & | operator * ()
arctype * | operator-> ()
const arctype & | operator * () const
const arctype * | operator-> () const
## Protected Member Functions
| arc (const node_iterator &Initial, const node_iterator &Terminal)
| arc (const node_iterator &Initial, const node_iterator &Terminal, const arctype &Elem)
## Protected Attributes
node_iterator | m_Initial
node_iterator | m_Terminal
arctype | m_Elem
bool | m_Marker
## Friends
class | graph_array< nodetype, arctype >

### template<class nodetype, class arctype>
class common_structures::graph_array< nodetype, arctype >::arc

## Constructor & Destructor Documentation

template<class nodetype, class arctype>
common_structures::graph_array< nodetype, arctype >::arc::arc | ( | const node_iterator & | Initial,
|  | const node_iterator & | Terminal
| ) | `[inline, protected]`

template<class nodetype, class arctype>
common_structures::graph_array< nodetype, arctype >::arc::arc | ( | const node_iterator & | Initial,
|  | const node_iterator & | Terminal,
|  | const arctype & | Elem
| ) | `[inline, protected]`

## Member Function Documentation

template<class nodetype, class arctype>
node_iterator common_structures::graph_array< nodetype, arctype >::arc::initial | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
arc& common_structures::graph_array< nodetype, arctype >::arc::mark | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
bool common_structures::graph_array< nodetype, arctype >::arc::marked | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
const arctype& common_structures::graph_array< nodetype, arctype >::arc::operator * | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
arctype& common_structures::graph_array< nodetype, arctype >::arc::operator * | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
const arctype* common_structures::graph_array< nodetype, arctype >::arc::operator-> | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
arctype* common_structures::graph_array< nodetype, arctype >::arc::operator-> | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
node_iterator common_structures::graph_array< nodetype, arctype >::arc::terminal | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
arc& common_structures::graph_array< nodetype, arctype >::arc::unmark | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

template<class nodetype, class arctype>
friend class graph_array< nodetype, arctype >`[friend]`

## Member Data Documentation

template<class nodetype, class arctype>
arctype common_structures::graph_array< nodetype, arctype >::arc::m_Elem`[protected]`

template<class nodetype, class arctype>
node_iterator common_structures::graph_array< nodetype, arctype >::arc::m_Initial`[protected]`

template<class nodetype, class arctype>
bool common_structures::graph_array< nodetype, arctype >::arc::m_Marker`[protected]`

template<class nodetype, class arctype>
node_iterator common_structures::graph_array< nodetype, arctype >::arc::m_Terminal`[protected]`

The documentation for this class was generated from the following file:

- graph_array.h